/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.PairHistory();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('PairHistory', function() {
    it('should create an instance of PairHistory', function() {
      // uncomment below and update the code to test PairHistory
      //var instane = new ftclient.PairHistory();
      //expect(instance).to.be.a(ftclient.PairHistory);
    });

    it('should have the property strategy (base name: "strategy")', function() {
      // uncomment below and update the code to test the property strategy
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property pair (base name: "pair")', function() {
      // uncomment below and update the code to test the property pair
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property timeframe (base name: "timeframe")', function() {
      // uncomment below and update the code to test the property timeframe
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property timeframeMs (base name: "timeframe_ms")', function() {
      // uncomment below and update the code to test the property timeframeMs
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property columns (base name: "columns")', function() {
      // uncomment below and update the code to test the property columns
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property data (base name: "data")', function() {
      // uncomment below and update the code to test the property data
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property length (base name: "length")', function() {
      // uncomment below and update the code to test the property length
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property buySignals (base name: "buy_signals")', function() {
      // uncomment below and update the code to test the property buySignals
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property sellSignals (base name: "sell_signals")', function() {
      // uncomment below and update the code to test the property sellSignals
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property lastAnalyzed (base name: "last_analyzed")', function() {
      // uncomment below and update the code to test the property lastAnalyzed
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property lastAnalyzedTs (base name: "last_analyzed_ts")', function() {
      // uncomment below and update the code to test the property lastAnalyzedTs
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property dataStartTs (base name: "data_start_ts")', function() {
      // uncomment below and update the code to test the property dataStartTs
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property dataStart (base name: "data_start")', function() {
      // uncomment below and update the code to test the property dataStart
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property dataStop (base name: "data_stop")', function() {
      // uncomment below and update the code to test the property dataStop
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

    it('should have the property dataStopTs (base name: "data_stop_ts")', function() {
      // uncomment below and update the code to test the property dataStopTs
      //var instance = new ftclient.PairHistory();
      //expect(instance).to.be();
    });

  });

}));
